After DB upgrade to 11.5 utf errors

Hi all, maybe somebody can help with the following issue. I recently upgraded the database from 10.3 to 11.5, now when searching for reports with a certain time range we get the following errors: SQLSTATE[HY000]: General error: 1267 Illegal mix of collations (utf8mb4_general_ci,COERCIBLE) and (utf8mb4_uca1400_ai_ci,COERCIBLE) for operation ‘=’ - in plugin Referrers.
Any ideas how to solve this?

Hi @europ1
This is very strange, it looks like the column has several string formats…
Try to check:

Hi Phillippe, I made a dump of the DB prior, reverted back to MariaDB v.11.4 which was the stable version and restored the DB. Now I didn’t have errors anymore, only that matomo.js and curl is out of date. So I upgraded the the curl version and disabled the DiagnosticsExtended plugin, that was causing the issues displayed with this plugin activated, I wonder why a plugin is available even.